Type to search.

Get all query rulesets

  • GET /_query_rules
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 8.10 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Get summarized information about the query rulesets.

About seeing rules and rulesets

Required privileges

Cluster privileges manage_search_query_rules

Query parameters

from number · default: 0

The offset from the first result to fetch.

size number · default: 100

The maximum number of results to retrieve.

Response

application/json
count number required
results object[] required
ruleset_id string required

A unique identifier for the ruleset.

rule_total_count number required

The number of rules associated with the ruleset.

rule_criteria_types_counts map string to number required

A map of criteria type (for example, exact) to the number of rules of that type.

Note

The counts in rule_criteria_types_counts may be larger than the value of rule_total_count because a rule may have multiple criteria.

rule_type_counts map string to number required

A map of rule type (for example, pinned) to the number of rules of that type.